Не могу установить acestream

Knoppix

Модераторы: Warderer, Модераторы разделов

Аватара пользователя
kerogaz
Сообщения: 847
ОС: CentOS,FreeBSD 12.0

Не могу установить acestream

Сообщение kerogaz » 29.07.2016 12:24

Debian 8 64 разрядный

Код: Выделить всё

acestream-engine : Зависит: python2.7-apsw но он не может быть установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.

Кстати на Mint 18 32 разряда тоже не ставится и те же ошибки пайтона. Поэтому кто-то даже на форумах сам пайтон пересобирал, но геморно это , а нет ли более простого метода?
Я ставил так ( из репозитория sid)
http://wiki.acestream.org/wiki/index.php/Streaming
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16120
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Не могу установить acestream

Сообщение Bizdelnick » 29.07.2016 12:36

kerogaz писал(а):
29.07.2016 12:24
нет ли более простого метода?

Более простого чем что? Вы ведь не потрудились описать, что и как пытались сделать. Приведённые Вами две строчки ни о чём не говорят вообще.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 847
ОС: CentOS,FreeBSD 12.0

Re: Не могу установить acestream

Сообщение kerogaz » 29.07.2016 12:37

Bizdelnick писал(а):
29.07.2016 12:36
kerogaz писал(а):
29.07.2016 12:24
нет ли более простого метода?

Более простого чем что? Вы ведь не потрудились описать, что и как пытались сделать. Приведённые Вами две строчки ни о чём не говорят вообще.
Я же дал ссылку на метод установки
Могу прямым текстом показать

Код: Выделить всё

Установка ACE Stream на Debian/Ubuntu из репозитория
Шаг 1
Добавить ссылку на соответствующий репозиторий в файл /etc/apt/sources.list.

deb http://repo.acestream.org/debian/ sid main

Шаг 2
Установка публичного ключа. Для этого необходимо выполнить следующую команду:
Debian:
wget -O - http://repo.acestream.org/keys/acestream.public.key | apt-key add -

Шаг 3
Установка нужного пакета. Например, для установки движка нужно установить пакет acestream-engine
Debian
apt-get update
apt-get install acestream-engine

Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16120
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Не могу установить acestream

Сообщение Bizdelnick » 29.07.2016 12:43

kerogaz писал(а):
29.07.2016 12:24
из репозитория sid

Попробуйте wheezy.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
kerogaz
Сообщения: 847
ОС: CentOS,FreeBSD 12.0

Re: Не могу установить acestream

Сообщение kerogaz » 29.07.2016 12:49

Bizdelnick писал(а):
29.07.2016 12:43
kerogaz писал(а):
29.07.2016 12:24
из репозитория sid

Попробуйте wheezy.

Сомневаюсь . Я на Минт 18 все репозитории перепробовал. Один фиг. Один чел сказал что он пока пайтон не заточил ничего не вышло

kerogaz писал(а):
29.07.2016 12:49
Bizdelnick писал(а):
29.07.2016 12:43
kerogaz писал(а):
29.07.2016 12:24
из репозитория sid

Попробуйте wheezy.

Сомневаюсь . Я на Минт 18 все репозитории перепробовал. Один фиг. Один чел сказал что он пока пайтон не заточил ничего не вышло


С репозитория визи

Код: Выделить всё

apt-get install acestream-engine
Чтение списков пакетов… Готово
Построение дерева зависимостей
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 acestream-engine : Зависит: python2.7-apsw но он не может быть установлен
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16120
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Не могу установить acestream

Сообщение Bizdelnick » 29.07.2016 12:52

kerogaz писал(а):
29.07.2016 12:49
Сомневаюсь

Я тоже сомневаюсь, ибо проприета она проприета и есть, но если оно Вам надо — попробуйте, вероятность, что получится, выше, чем с sid. А не получится — пишите в техподдержку (которая ответит, что Ваш дистрибутив не поддерживается, и на этом дело закончится).
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали:

Аватара пользователя
Bizdelnick
Модератор
Сообщения: 16120
Статус: grammatikführer
ОС: Debian GNU/Linux

Re: Не могу установить acestream

Сообщение Bizdelnick » 29.07.2016 12:57

Вообще пакет называется python-apsw, а вовсе не python2.7-apsw. Соответственно проблема должна решиться созданием и установкой dummy-пакета python2.7-apsw, зависящего от python-apsw.
Пишите правильно:
в консоли
вкупе (с чем-либо)
в общем
вообще
в течение (часа)
новичок
нюанс
по умолчанию
приемлемо
проблема
пробовать
трафик
Спасибо сказали: